This is an automated email from the ASF dual-hosted git repository.
iwasakims pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/bigtop.git
The following commit(s) were added to refs/heads/master by this push:
new c61cb82b BIGTOP-3868: Add an error message file check to avoid the
error exit (#1050)
c61cb82b is described below
commit c61cb82b86b76478f8f0d8f1b391feffc5aa2a47
Author: Leona Yoda <[email protected]>
AuthorDate: Thu Nov 10 16:00:55 2022 +0900
BIGTOP-3868: Add an error message file check to avoid the error exit (#1050)
---
provisioner/docker/docker-hadoop.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/provisioner/docker/docker-hadoop.sh
b/provisioner/docker/docker-hadoop.sh
index abbf2574..0ba0133e 100755
--- a/provisioner/docker/docker-hadoop.sh
+++ b/provisioner/docker/docker-hadoop.sh
@@ -196,7 +196,9 @@ provision() {
) &
done
wait
- cat .error_msg_* 2>/dev/null && exit 1
+ if [ `find . -maxdepth 1 -type f -name ".error_msg_*" | wc -l` -gt 0 ];
then
+ cat .error_msg_* 2>/dev/null && exit 1
+ fi
}
smoke-tests() {